﻿using System.Windows;

using DevExpress.Xpf.Editors;

namespace TestProject
{
    /// <summary>
    /// 커스텀 텍스트 에디터
    /// </summary>
    public class CustomTextEdit : TextEdit
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 디폴트 에디터 여부 속성
        /// </summary>
        public static readonly DependencyProperty IsDefaultEditorProperty;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 디폴트 에디터 여부 - IsDefaultEditor

        /// <summary>
        /// 디폴트 에디터 여부
        /// </summary>
        public bool IsDefaultEditor
        {
            get
            {
                return (bool)GetValue(IsDefaultEditorProperty);
            }
            set
            {
                SetValue(IsDefaultEditorProperty, value);
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Static

        #region 생성자 - CustomTextEdit()

        /// <summary>
        /// 생성자
        /// </summary>
        static CustomTextEdit()
        {
            IsDefaultEditorProperty = DependencyProperty.Register("IsDefaultEditor", typeof(bool), typeof(CustomTextEdit));

            CustomTextEditSettings.RegisterCustomEdit();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Instance
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomTextEdit()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomTextEdit()
        {
        }

        #endregion
    }
}